aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/bazel/bazel_tools_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/shell/bazel/bazel_tools_test.sh')
-rwxr-xr-xsrc/test/shell/bazel/bazel_tools_test.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/src/test/shell/bazel/bazel_tools_test.sh b/src/test/shell/bazel/bazel_tools_test.sh
index 30f4c2b0ec..354a6c9e6a 100755
--- a/src/test/shell/bazel/bazel_tools_test.sh
+++ b/src/test/shell/bazel/bazel_tools_test.sh
@@ -14,9 +14,10 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-# Load test environment
-source $(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/test-setup.sh \
- || { echo "test-setup.sh not found!" >&2; exit 1; }
+# Load the test setup defined in the parent directory
+CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+source "${CURRENT_DIR}/../integration_test_setup.sh" \
+ || { echo "integration_test_setup.sh not found!" >&2; exit 1; }
function test_build_objc_tools() {
# TODO(cparsons): Test building tools/objc/...